Package ghidra.app.util.bin.format.pe.cli.blobs

# Class CliAbstractSig.CliTypeCodeDataType

java.lang.Object
ghidra.program.model.data.AbstractDataType
ghidra.program.model.data.DataTypeImpl
ghidra.program.model.data.GenericDataType
ghidra.program.model.data.EnumDataType
ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig.CliTypeCodeDataType

All Implemented Interfaces:
  `DataType`, `Enum`

Enclosing class:
  `CliAbstractSig`

public static class CliAbstractSig.CliTypeCodeDataType extends EnumDataType

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CliAbstractSig.CliTypeCodeDataType`
  `dataType`
  `static final String`
  `PATH`

  ### Fields inherited from class ghidra.program.model.data.DataTypeImpl

  `defaultSettings`

  ### Fields inherited from class ghidra.program.model.data.AbstractDataType

  `categoryPath, dataMgr, EMPTY_TYPEDEF_DEFINITIONS, name`

  ### Fields inherited from interface ghidra.program.model.data.DataType

  `CONFLICT_SUFFIX, DEFAULT, NO_LAST_CHANGE_TIME, NO_SOURCE_SYNC_TIME, TYPEDEF_ATTRIBUTE_PREFIX, TYPEDEF_ATTRIBUTE_SUFFIX, VOID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliTypeCodeDataType()`

- ## Method Summary

  ### Methods inherited from class ghidra.program.model.data.EnumDataType

  `add, add, clone, contains, contains, copy, getAlignedLength, getComment, getCount, getDefaultLabelPrefix, getDescription, getLength, getMaxPossibleValue, getMinimumPossibleLength, getMinPossibleValue, getMnemonic, getName, getNames, getNames, getRepresentation, getRepresentation, getSettingsDefinitions, getSignedState, getValue, getValue, getValueClass, getValues, isEquivalent, isSigned, pack, remove, replaceWith, setDescription, setLength`

  ### Methods inherited from class ghidra.program.model.data.GenericDataType

  `setCategoryPath, setName, setNameAndCategory`

  ### Methods inherited from class ghidra.program.model.data.DataTypeImpl

  `addParent, equals, getAlignment, getDefaultSettings, getLastChangeTime, getLastChangeTimeInSourceArchive, getParents, getSourceArchive, getUniversalID, hashCode, notifyAlignmentChanged, notifyDeleted, notifyNameChanged, notifyParents, notifyReplaced, notifySizeChanged, removeParent, setLastChangeTime, setLastChangeTimeInSourceArchive, setSourceArchive`

  ### Methods inherited from class ghidra.program.model.data.AbstractDataType

  `dataTypeAlignmentChanged, dataTypeDeleted, dataTypeNameChanged, dataTypeReplaced, dataTypeSizeChanged, dependsOn, encodeRepresentation, encodeValue, getCategoryPath, getDataOrganization, getDataOrganization, getDataTypeManager, getDataTypePath, getDefaultAbbreviatedLabelPrefix, getDefaultLabelPrefix, getDefaultOffcutLabelPrefix, getDisplayName, getName, getPathName, getTypeDefSettingsDefinitions, hasLanguageDependantLength, isDeleted, isEncodable, isNotYetDefined, isZeroLength, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.data.DataType

  `addParent, dataTypeAlignmentChanged, dataTypeDeleted, dataTypeNameChanged, dataTypeReplaced, dataTypeSizeChanged, dependsOn, encodeRepresentation, encodeValue, getAlignment, getCategoryPath, getDataOrganization, getDataTypeManager, getDataTypePath, getDefaultAbbreviatedLabelPrefix, getDefaultLabelPrefix, getDefaultOffcutLabelPrefix, getDefaultSettings, getDisplayName, getLastChangeTime, getLastChangeTimeInSourceArchive, getName, getParents, getPathName, getSourceArchive, getTypeDefSettingsDefinitions, getUniversalID, hasLanguageDependantLength, isDeleted, isEncodable, isNotYetDefined, isZeroLength, removeParent, setCategoryPath, setLastChangeTime, setLastChangeTimeInSourceArchive, setName, setNameAndCategory, setSourceArchive`

- ## Field Details

  - ### PATH

    public static final String PATH
    See Also:
      - Constant Field Values

  - ### dataType

    public static final CliAbstractSig.CliTypeCodeDataType dataType

- ## Constructor Details

  - ### CliTypeCodeDataType

    public CliTypeCodeDataType()